import { PrintToPDFOptions, IpcMainEvent, WebContentsPrintOptions } from "electron";
import { HtmlConstruct, PdfCreateOptions, PdfReloadOptions } from "./type";
declare class _Pdf {
    pageSize: string;
    landscape: boolean;
    scaleFactor: number;
    margin: number;
    htmlString?: string;
    private isPrintingToPdf;
    private isPrinting;
    private pdfWin;
    private handleWin;
    constructor();
    initPage(config: HtmlConstruct): void;
    getPrintToPdfOptions(): PrintToPDFOptions;
    getIsRunning(): boolean;
    private clean;
    reloadByPrintOptions(event: IpcMainEvent, reloadOptions: PdfReloadOptions): Promise<void>;
    print(options: WebContentsPrintOptions): Promise<void>;
    /**
     * display pdf window
     * @param event
     * @param pdfOptions
     */
    createPdfWindow(pdfOptions: PdfCreateOptions, event: IpcMainEvent | undefined): void;
    private createPdfHandleWin;
    private generatePdfAndReload;
}
declare const printPreview: _Pdf;
export default printPreview;
