import { BrowserWindow, IpcMainInvokeEvent, WebContents, PrintToPDFOptions, WebContentsPrintOptions } from "electron";
export declare const getPrinterListAsync: (e: IpcMainInvokeEvent) => Promise<{
    printDevices: any[];
}>;
export declare const closeWindow: (e: IpcMainInvokeEvent) => void;
/**
 * be like 26dec868-b29f-42e5-9eb6-9c59396ae411
 */
export declare const uuid: () => string;
export declare const generateRandom: () => string;
export declare const getBaseUrl: (webContents: WebContents) => Promise<any>;
/**
 * remove @page style
 * @param contens
 */
export declare const removeAtPageStyle: (webContents: WebContents) => Promise<String>;
/***
 * isStyleRendered
 * @param contens
 */
export declare const isStyleRendered: (webContens: WebContents) => Promise<boolean>;
export declare const awaitStyleRendered: (webContents: WebContents) => Promise<unknown>;
/**
 * @param webContents
 * @param printToPdfOptions
 */
export declare const generatePdfFile: (webContents: WebContents, printToPdfOptions: PrintToPDFOptions) => Promise<string>;
export declare const webContentsPrint: (webContens: WebContents, options: WebContentsPrintOptions) => Promise<boolean>;
export declare const cleanBrowserView: (targetWin: BrowserWindow) => void;
export declare const cleanBrowserViews: (targetWin: BrowserWindow) => void;
export declare const getPdfPreviewUrl: (pdfPath: string) => string;
export declare const PAGE_SIZES: {
    custom: {
        width: number;
        height: number;
    };
};
export declare const translateMM: {
    toIches: (number: number) => number;
    toMicorn: (number: number) => number;
    toPixels: (number: number) => number;
};
export declare const defaultPageStyle = " <style>\n        html{\n        width: 100% !important;\n        height: 100% !important;\n        padding: 0 !important;\n        margin: 0 !important;\n        box-sizing: border-box !important;\n        }\n        body{\n        font-family: Microsoft Yahei;\n        font-size: 81.25%;\n        min-width: min-content !important;\n        max-width: 100% !important;\n        height: fit-content !important;\n        padding: 0 !important;\n        margin: 0 !important;\n        box-sizing: border-box !important;\n        }\n        </style>";
export declare const isDevelopment: boolean;
export declare const defaultConfigPdfOptions: {
    name: string;
    width: number;
    height: number;
    controlPanelWidth: number;
    pageSize: string;
    landscape: boolean;
    margin: number;
    scaleFactor: number;
};
export declare const copyDirectory: (src: any, target: any) => void;
export declare const print_page: string;
export declare const writeDataToHtml: (filePath: any, data: any) => void;
export declare const INDEX_PAGE: string;
export declare const BLANK_PAGE = "about:blank";
